[package]
name = "oxipng_wasm"
version = "0.1.0"
edition = "2021"
rust-version = "1.85"

[lib]
crate-type = ["cdylib"]

[dependencies]
wasm-bindgen = "0.2"
oxipng = { version = "10", default-features = false }
libdeflater = { version = "1.26.0", features = ["freestanding"] }

[profile.release]
opt-level = "s"
lto = true
codegen-units = 1
panic = "abort"
strip = true

[package.metadata.wasm-pack.profile.release]
wasm-opt = ["-Os", "--enable-bulk-memory"]
